commit:     d55005e0330feba85598676265056c6c387a76b7
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 27 07:05:29 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Sep 27 07:18:29 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d55005e0

dev-python/psycopg: Bump to 3.1.12

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/psycopg/Manifest              |  1 +
 dev-python/psycopg/psycopg-3.1.12.ebuild | 78 ++++++++++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/dev-python/psycopg/Manifest b/dev-python/psycopg/Manifest
index 7eb1c8b70222..8c2ac69fd4b7 100644
--- a/dev-python/psycopg/Manifest
+++ b/dev-python/psycopg/Manifest
@@ -1,5 +1,6 @@
 DIST psycopg-3.1.10.gh.tar.gz 490875 BLAKE2B 
26b82aa34f0eecc3e15943390b74d82e838415564f96d6d11c65d2d705045f78231d7a0275bc74b6a1e095210d249aaaa2e2e59debd4c19cdcfbe348fe598b95
 SHA512 
37d1d2cbe3956862d3dbecd50505267f89a837e42e188e7ff7295c4e5e0d480efd86019ce5a88cd9b682075e2e99ec9037f83de42cb1f5dbcc370a8d3c90a474
 DIST psycopg-3.1.11.gh.tar.gz 494278 BLAKE2B 
64aa508e8b53e6f6ff37c23a654c53eb1796030cefa6dadf8dbeed54999a8c45c5e6729ffa53c833aeb91d2dee08cb3bc3a74688af1c0fd34e24ed33f6b98de3
 SHA512 
c7b06ee1501c71a7fa125bef894d444e7987ac400b7ac4908e13ac7c60f31b93b7327664280e82bb5e4e39b4be474e31d8b154b01fa34660d8c5ddafe75d1ed4
+DIST psycopg-3.1.12.gh.tar.gz 496491 BLAKE2B 
df70ae76cb740cbeb313925fafd23650a5d9cb584cb79409eb55ab73260c698758c78878bfa0fbe6c6f1b6f8e55fb91290403246360776176be1fdb758d7361d
 SHA512 
52489337ee4bfc4fe3070a731661264238646f50c86ecf9b4c902da1ab050b2ba6a8f8d1322b0f57f368d3c93f7ec3dd59f7970319e2df8eb52c728a5d7fecc1
 DIST psycopg-3.1.8.gh.tar.gz 483283 BLAKE2B 
29141637c359b5ff8988753ee4e492b0aaf82bfc6445e0c5e1d9ef18f59f09ab071ce9a6183f2d864b62e85a109b24afbdd96248c00c8bb5c01357b06648ebba
 SHA512 
4424305debc7b055fcd19b27714df46d54f8ae38452d8d5a3276df70a6c27e0094081020fdf2c34c73275cb058054414ac80843bb3e6a841bb3556ce39c76287
 DIST psycopg-3.1.9.gh.tar.gz 487052 BLAKE2B 
0422742d21b872c927d8df5f85e8e64fbfc912d08db85dbb1675fa64ccec4bd849b05b1f4773898b791edf0fbcd1aa0fe2c8bc210fd1672f70fba24df10b3624
 SHA512 
84e48b8fa7c8f677e193585e69e31dd43b8b55379f2370753e2af99351be25c2eba0bc66f19cb1ed65b8762123cc7a8d10023810815c53a8c963c6b743822766
 DIST psycopg2-2.9.4.tar.gz 384017 BLAKE2B 
4bc0afcc890c8a257c1ccd5c6e4e5301857a80f8b1428aa46c1473c9e18f5d2914a2e592c13336b06106217bb334d9b0321835bdd123f1627cbeb29dedf97bf7
 SHA512 
259088e42e0ab0d8a1a0ccf04f5e560f32c6179b4a0a0059e91bcf269baa8f4b0f1f949c332c640a2438c927a29b2c144078a861f8e18ba9c764da7c93c73b8d

diff --git a/dev-python/psycopg/psycopg-3.1.12.ebuild 
b/dev-python/psycopg/psycopg-3.1.12.ebuild
new file mode 100644
index 000000000000..68613485f6c7
--- /dev/null
+++ b/dev-python/psycopg/psycopg-3.1.12.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="PostgreSQL database adapter for Python"
+HOMEPAGE="
+       https://www.psycopg.org/psycopg3/
+       https://github.com/psycopg/psycopg/
+       https://pypi.org/project/psycopg/
+"
+SRC_URI="
+       https://github.com/psycopg/psycopg/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+S=${WORKDIR}/${P}/psycopg
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+
+DEPEND="
+       >=dev-db/postgresql-8.1:*
+"
+RDEPEND="
+       ${DEPEND}
+       >=dev-python/typing-extensions-4.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               >=dev-db/postgresql-8.1[server]
+               <dev-python/anyio-4[${PYTHON_USEDEP}]
+               dev-python/dnspython[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+       # tests are lurking in top-level directory
+       cd .. || die
+
+       initdb -D "${T}"/pgsql || die
+       # TODO: random port
+       pg_ctl -w -D "${T}"/pgsql start \
+               -o "-h '' -k '${T}'" || die
+       createdb -h "${T}" test || die
+
+       local -x PSYCOPG_TEST_DSN="host=${T} dbname=test"
+       distutils-r1_src_test
+
+       pg_ctl -w -D "${T}"/pgsql stop || die
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # tests for the psycopg_pool package
+               tests/pool
+               # some broken mypy magic
+               tests/test_module.py::test_version
+               tests/test_module.py::test_version_c
+               tests/test_typing.py
+               tests/crdb/test_typing.py
+               # TODO, relying on undefined ordering in Python?
+               tests/test_dns_srv.py::test_srv
+               # timing test, fragile to load
+               tests/test_concurrency_async.py::test_ctrl_c
+       )
+
+       # leak tests seem to be brittle
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest -p anyio -k "not leak"
+}

Reply via email to